#!/usr/bin/perl -w
use strict;
my $seq;
my @seq=(
'Net-Server-2.007.tar.gz',
'Compress-Raw-Bzip2-2.064.tar.gz',
'Compress-Raw-Zlib-2.065.tar.gz',
'IO-Compress-2.064.tar.gz',
'IO-Zlib-1.10.tar.gz',
#'Test-Simple-1.001003.tar.gz',
'Test-Simple-1.301001_075.tar.gz',
'Archive-Tar-2.00.tar.gz',
'Test-Harness-3.30.tar.gz',
'ExtUtils-Manifest-1.63.tar.gz',
'Pod-Escapes-1.06.tar.gz',
'Pod-Simple-3.28.tar.gz',
'podlators-2.5.3.tar.gz',
'parent-0.228.tar.gz',
'version-0.9908.tar.gz',
'JSON-PP-2.27203.tar.gz',
'CPAN-Meta-YAML-0.012.tar.gz',
'Scalar-List-Utils-1.41.tar.gz',
'PathTools-3.40.tar.gz',
'File-Path-2.09.tar.gz',
'File-Temp-0.2304.tar.gz',
'Parse-CPAN-Meta-1.4414.tar.gz',
'Perl-OSType-1.007.tar.gz',
'Locale-Maketext-Simple-0.21.tar.gz',
'Params-Check-0.38.tar.gz',
'Module-CoreList-5.20141120.tar.gz',
'Module-Load-0.32.tar.gz',
'Module-Metadata-1.000019.tar.gz',
'Module-Load-Conditional-0.62.tar.gz',
'IPC-Cmd-0.92.tar.gz',
'CPAN-Meta-Requirements-2.125.tar.gz',
'CPAN-Meta-2.140640.tar.gz',
'ExtUtils-CBuilder-0.280216.tar.gz',
'ExtUtils-MakeMaker-6.98.tar.gz',
'ExtUtils-ParseXS-3.24.tar.gz',
'Module-Build-0.4205.tar.gz',
);
#'munin-2.0.20.tar.gz'

foreach $seq(@seq) {
	if ( -e $seq ) {
	} else {
		die("WRN $seq");
	}

	my $xdir=$seq;
	$xdir=~ s/\.tar\.gz$//;
	print("PRE $xdir\n");
	my @xcmd=('/bin/tar xfz '.$seq,'cd '.$xdir,'/usr/bin/perl Makefile.PL','make','make install','cd ..');
	my $xcmd;
	open(A,">test.sh")||die;
	print A "#!/bin/sh\n";
	foreach $xcmd(@xcmd) {
		#print("EXEC $xcmd\n");
		print A $xcmd."\n";
		print A "if [ $? -eq 0 ]; then\n\ttrue;\nelse\n\texit 1;\nfi\n";
	}
	close(A);
	system("/bin/bash test.sh");
	my $gstatus=($? >> 8);
	if($gstatus) { die("WRN system '$xcmd'"); }
	print("END $xdir\n");
	sleep(2);
}

print("OK\n");
